% find spacings of odd-odd eigenvalues of stadium billiard
% sums over parameterization of billiard by x length
% Kyle Konrad 11/25/09
% update Dhrubo Jyoti 11/26/09
% update Kyle Konrad 12/3/09

xlength = 1;
M = 100;
k = 200;
sigma = 0;
trials = 60;
deltax = .01;

spacings = [];
for i = 1:trials
    t = stadeigs2(xlength+(i-1)*deltax,M,k,sigma);
    diffs = diff(t);
    spacings = vertcat(spacings,diffs);
end
%{
s = size(v,1);

N = round((xlength+1)*M);if mod(N,2) ~= 0; N = N+1;end

x = (-N/2-1:N/2+1);
y = (-M/2-1:M/2+1); 


figure;
shift = 0;
for i=1:5^2, subplot(5,5, i);
    imagesc(-N/2-1:N/2+1, -M/2-1:M/2+1, v(:,:,i+shift).^2);
    colormap('hot');
    axis equal tight; caxis(max(abs(caxis))*[-1 1]);
    title(sprintf('E_{%d}=%.6g', i+shift, e(i+shift)));
end
%}